<?xml version="1.0"?>
<!-- 
  History:
-->
<!-- uses version 2 xslt, and includes the namespaces to reference the HL7 schemas, which are complex enough to be separated into 6 different web sources, including Intersystem's extensions-->
<xsl:stylesheet version="2.0"
              	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
              	xmlns:n1="urn:hl7-org:v3"
              	xmlns:n2="urn:hl7-org:v3/meta/voc"
              	xmlns:n3="http://www.w3.org/1999/xhtml"
              	xmlns:voc="urn:hl7-org:v3/voc"
              	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
              	xmlns:isc="http://extension-functions.intersystems.com"
				xmlns:xhtml="http://www.w3.org/1999/xhtml">
	<xsl:output method="xml"
          		indent="yes"
          		version="4.01"
          		encoding="UTF-8"
          		doctype-public="-//W3C//DTD HTML 4.01//EN"/>
	<!--<xsl:output method="xml" indent="yes" version="4.01" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.01//EN" omit-xml-declaration="yes"/>-->
	<!--for all chunks of the CCD not legalAuthenticator, copy the header, all attributes, and do a deep-copy of the result tree below that level-->
	<xsl:template match="*">
		<xsl:copy>
			<xsl:for-each select="@*">
				<xsl:copy/>
			</xsl:for-each>
			<xsl:apply-templates/>
		</xsl:copy>
	</xsl:template>
	<xsl:template match="n1:legalAuthenticator"/>
	<xsl:template match="n1:serviceEvent">
		<xsl:copy>
			<xsl:for-each select="@* | node()">
				<xsl:choose>
					<xsl:when test="not(name(.)='templateId')">
						<xsl:copy>
							<xsl:for-each select="@*">
								<xsl:copy/>
							</xsl:for-each>
							<xsl:copy-of select="*"/>
						</xsl:copy>
					</xsl:when>
					<xsl:otherwise>
						<xsl:copy>
							<xsl:for-each select="@*">
								<xsl:copy/>
							</xsl:for-each>
							<xsl:copy-of select="*"/>
						</xsl:copy>
						<!--
						<effectiveTime>
							<low nullFlavor="UNK"/>
							<high nullFlavor="UNK"/>
						</effectiveTime>
						-->
						<xsl:element name="effectiveTime" namespace="urn:hl7-org:v3">
							<xsl:element name="low" namespace="urn:hl7-org:v3">
								<xsl:attribute name="nullFlavor">UNK</xsl:attribute>
							</xsl:element>
							<xsl:element name="high" namespace="urn:hl7-org:v3">
								<xsl:attribute name="nullFlavor">UNK</xsl:attribute>
							</xsl:element>
						</xsl:element>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
